[package]
name = "starchart"
version = "0.1.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
tokio = { version = "1", features = ["full"] }
axum = "0.6"
aide = { version = "0.11", features = [
  "axum",
  "axum-extra",
  "redoc",
  "macros",
  "axum-ws",
  "axum-multipart",
  "axum-headers",
  "axum-extra-cookie",
  "axum-extra-cookie-private",
  "axum-extra-form",
  "axum-extra-query",
] }
rust-embed = { version = "8" }
confy = "0.5"
schemars = { version = "0.8", features = ["derive_json_schema", "uuid1"] }
tracing = "0.1"
tracing-subscriber = { version = "0.3", features = [
  "env-filter",
  "fmt",
  "ansi",
] }
once_cell = "1"
sqlx = { version = "0.7", features = [
  "runtime-tokio",
  "tls-rustls",
  "postgres",
  "macros",
] }
serde = "1"
serde_derive = "1"
axum-jsonschema = { version = "0.6", features = ["aide"] }
axum-macros = "0.3"
mime_guess = "2"
hyper = "0.14"
tower-http = { version = "0.4", features = [
  "compression-gzip",
  "trace",
  "cors",
  "timeout",
] }
fastrand = { version = "2", features = ["std"] }
strum = { version = "0.25", features = ["strum_macros", "derive"] }
cached = "0.44.0"
